Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for QStatusBar

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QStatusBar class reference

## Public Functions

| QStatusBar ( QWidget * parent, const char * name )
void | addWidget ( QWidget * widget, int stretch, bool permanent )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Public Slots

void | clear ()
void | message ( const QString & message, int timeout = 0 )

- 1 public slot inherited from QWidget

## Member Function Documentation

### QStatusBar::QStatusBar ( QWidget * parent, const char * name )

Constructs a status bar with a size grip and the given parent and object name.

Use the QStatusBar() constructor and the QObject::setObjectName() function instead.

For example, if you have code like

     QStatusBar *myStatusBar = new QStatusBar(parent, name);

you can rewrite it as

     QStatusBar *myStatusBar = new QStatusBar(parent);
     myStatusBar->setObjectName(name);

### void QStatusBar::addWidget ( QWidget * widget, int stretch, bool permanent )

Use addWidget() or addPermanentWidget() instead, depending on the value of the permanent parameter.

For example, if you have code like

     QStatusBar *myStatusBar;
     myStatusBar->addWidget(widget, stretch, permanent);  // permanent == true

you can rewrite it as

     QStatusBar *myStatusBar;
     myStatusBar->addPermanentWidget(widget, stretch);

### void QStatusBar::clear ()`[slot]`

Use the clearMessage() function instead.

### void QStatusBar::message ( const QString & message, int timeout = 0 )`[slot]`

Use the showMessage() function instead.